Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class ModeList

    java.lang.Object
      de.grogra.blocks.ModeList

    public class ModeList

extends java.lang.Object

Constructor Summary
`ModeList()`

Method Summary
`static float` | `function(int i, float delta, FloatToFloat func, Tuple2f ids, Tuple3f nutrientsValues, Tuple2f h, float d)`
`static float` | `function(int i, int n, float value1, float value2, FloatToFloat func)`
`static float` | `function(int i, int n, float value1, float value2, FloatToFloat func, Tuple2f ids, Tuple3f nutrientsValues, Tuple2f h, float d)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModeList

    public ModeList()

Method Detail

### function

    public static float function(int i,
                                 float delta,
                                 FloatToFloat func,
                                 Tuple2f ids,
                                 Tuple3f nutrientsValues,
                                 Tuple2f h,
                                 float d)

### function

    public static float function(int i,
                                 int n,
                                 float value1,
                                 float value2,
                                 FloatToFloat func)

### function

    public static float function(int i,
                                 int n,
                                 float value1,
                                 float value2,
                                 FloatToFloat func,
                                 Tuple2f ids,
                                 Tuple3f nutrientsValues,
                                 Tuple2f h,
                                 float d)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD